Debian Bug report logs - #687161
ITP: harfbuzz -- OpenType text shaping engine

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: أحمد المحمودي <aelmahmoudy@sabily.org>

Date: Mon, 10 Sep 2012 12:33:02 UTC

Owned by: "أحمد المحمودي" <aelmahmoudy@sabily.org>

Severity: wishlist

Fixed in version harfbuzz/0.9.9-1

Done: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>:
Bug#687161; Package wnpp. (Mon, 10 Sep 2012 12:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>. (Mon, 10 Sep 2012 12:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: harfbuzz -- OpenType text shaping engine
Date: Mon, 10 Sep 2012 14:29:48 +0200
Package: wnpp
Severity: wishlist
Owner: "أحمد المحمودي" <aelmahmoudy@sabily.org>

* Package name    : harfbuzz
  Version         : 0.9.4
  Upstream Author : Behdad Esfahbod <behdad@behdad.org>
* URL             : http://www.freedesktop.org/wiki/Software/HarfBuzz
* License         : MIT
  Programming Lang: C++
  Description     : OpenType text shaping engine

 HarfBuzz is an implementation of the OpenType Layout engine (aka layout
 engine) and the script-specific logic (aka shaping engine).



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>:
Bug#687161; Package wnpp. (Mon, 10 Sep 2012 23:03:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>. (Mon, 10 Sep 2012 23:03:07 GMT) Full text and rfc822 format available.

Message #10 received at 687161@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 687161@bugs.debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>, pkg-gnome-maintainers@lists.alioth.debian.org
Subject: Re: Bug#687161: ITP: harfbuzz -- OpenType text shaping engine
Date: Tue, 11 Sep 2012 00:59:42 +0200
[Message part 1 (text/plain, inline)]
Hi!

Am 10.09.2012 14:29, schrieb أحمد المحمودي:
> Package: wnpp
> Severity: wishlist
> Owner: "أحمد المحمودي" <aelmahmoudy@sabily.org>
> 
> * Package name    : harfbuzz
>   Version         : 0.9.4
>   Upstream Author : Behdad Esfahbod <behdad@behdad.org>
> * URL             : http://www.freedesktop.org/wiki/Software/HarfBuzz
> * License         : MIT
>   Programming Lang: C++
>   Description     : OpenType text shaping engine
> 
>  HarfBuzz is an implementation of the OpenType Layout engine (aka layout
>  engine) and the script-specific logic (aka shaping engine).


Noting that this library will be used extensively by pango, one of our
central libraries in the GNOME stack, I'm wondering if you would be
insterested in maintaining this package within the pkg-gnome team and
use the pkg-gnome SVN repository/infrastructure?

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>:
Bug#687161; Package wnpp. (Wed, 12 Sep 2012 05:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "أحمد المحمودي" <aelmahmoudy@sabily.org>. (Wed, 12 Sep 2012 05:33:06 GMT) Full text and rfc822 format available.

Message #15 received at 687161@bugs.debian.org (full text, mbox):

From: أحمد المحمودي <aelmahmoudy@sabily.org>
To: Michael Biebl <biebl@debian.org>
Cc: 687161@bugs.debian.org, pkg-gnome-maintainers@lists.alioth.debian.org
Subject: Re: Bug#687161: ITP: harfbuzz -- OpenType text shaping engine
Date: Wed, 12 Sep 2012 06:46:32 +0200
[Message part 1 (text/plain, inline)]
On Tue, Sep 11, 2012 at 12:59:42AM +0200, Michael Biebl wrote:
> central libraries in the GNOME stack, I'm wondering if you would be
> insterested in maintaining this package within the pkg-gnome team and

  Sure I'd love that.

> use the pkg-gnome SVN repository/infrastructure?

  Problem is that it is already on a Git repository on collab-maint [1]

[1] git.debian.org/git/collab-maint/harfbuzz.git

-- 
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8  B176 BC19 6A94 EDDD A1B7
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Andreas Henriksson <andreas@fatal.se> to control@bugs.debian.org. (Sat, 08 Dec 2012 20:39:05 GMT) Full text and rfc822 format available.

Reply sent to أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>:
You have taken responsibility. (Mon, 10 Dec 2012 21:03:19 GMT) Full text and rfc822 format available.

Notification sent to أحمد المحمودي <aelmahmoudy@sabily.org>:
Bug acknowledged by developer. (Mon, 10 Dec 2012 21:03:19 GMT) Full text and rfc822 format available.

Message #22 received at 687161-close@bugs.debian.org (full text, mbox):

From: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
To: 687161-close@bugs.debian.org
Subject: Bug#687161: fixed in harfbuzz 0.9.9-1
Date: Mon, 10 Dec 2012 21:00:36 +0000
Source: harfbuzz
Source-Version: 0.9.9-1

We believe that the bug you reported is fixed in the latest version of
harfbuzz, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 687161@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org> (supplier of updated harfbuzz package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 07 Dec 2012 10:31:26 +0200
Source: harfbuzz
Binary: libharfbuzz0 libharfbuzz-dev libharfbuzz-bin
Architecture: source amd64
Version: 0.9.9-1
Distribution: experimental
Urgency: low
Maintainer: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Changed-By: أحمد المحمودي (Ahmed El-Mahmoudy) <aelmahmoudy@sabily.org>
Description: 
 libharfbuzz-bin - OpenType text shaping engine (utility)
 libharfbuzz-dev - Development files for OpenType text shaping engine
 libharfbuzz0 - OpenType text shaping engine
Closes: 687161
Changes: 
 harfbuzz (0.9.9-1) experimental; urgency=low
 .
   * Initial Release. (Closes: #687161)
 .
   [ Andreas Henriksson ]
   * Imported Upstream version 0.9.9
   * Update symbols file for 0.9.9
Checksums-Sha1: 
 bd92cb4df9234166ee5415c0cc3b1f71c47eb4cb 1434 harfbuzz_0.9.9-1.dsc
 a3db0aac6d4f80b4c76050007de8e1135c4ff17f 878493 harfbuzz_0.9.9.orig.tar.bz2
 d00f7ec96621a578c5945fd70a7dbc6ebbaf54bb 3759 harfbuzz_0.9.9-1.debian.tar.gz
 d06ce549b39f681f60b7285102c6af2d6594fb71 512552 libharfbuzz0_0.9.9-1_amd64.deb
 f7562ff9c858ec1588e23ce1f0d772bb3facf915 271664 libharfbuzz-dev_0.9.9-1_amd64.deb
 828ae2331d2c5523f95863da643f8bb8548f2e8c 298818 libharfbuzz-bin_0.9.9-1_amd64.deb
Checksums-Sha256: 
 622677a2757a739fb59c8bcd8cde9c1722fac82808248e19ce1cae46620d92bd 1434 harfbuzz_0.9.9-1.dsc
 3d8dd4ebbc38da011485ef181f8ff072b4b0d7e305bbda19b355f217d25169cf 878493 harfbuzz_0.9.9.orig.tar.bz2
 ac57caa4da84952407dea810877beb0ac542cf28533fec61f66fee4ee56fdd4b 3759 harfbuzz_0.9.9-1.debian.tar.gz
 78ce692ffaa5e9f4a317ad6ca59e198b79155d2d054d16468c47bf0ef4c65fd6 512552 libharfbuzz0_0.9.9-1_amd64.deb
 c2fe1e08e967670cfd9b2cccf030731cd8e6caa71f8e2076b4db83c3db2864ee 271664 libharfbuzz-dev_0.9.9-1_amd64.deb
 98938429e34c2e72c154d4c20443455beb12d6c87263e7c7d24a0f7e2ab0161a 298818 libharfbuzz-bin_0.9.9-1_amd64.deb
Files: 
 3d1073da1562fcc7f42b43ea815326d6 1434 libs optional harfbuzz_0.9.9-1.dsc
 e901ffe556d706b7d43b272f83be7f09 878493 libs optional harfbuzz_0.9.9.orig.tar.bz2
 446bf9a7102cb07f6039a3ff21bca225 3759 libs optional harfbuzz_0.9.9-1.debian.tar.gz
 7e0a537c2d01597a0b669d5b88d8d547 512552 libs optional libharfbuzz0_0.9.9-1_amd64.deb
 3e63396dc4eb01da2398d0d2f19fc1ae 271664 libdevel optional libharfbuzz-dev_0.9.9-1_amd64.deb
 d5de71e4114210c909a30f8ed4dacced 298818 utils optional libharfbuzz-bin_0.9.9-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlDDoKoACgkQcgQ2cL3l8e6b1QCgsy9taRg/6/4JTS5keZdN2SW8
uFoAnRoSfnzkgv63+ZTHP+Ulsl5AIarK
=55TQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 Jan 2013 07:28:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:48:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.